MetacatUI - Story #6330

Address feedback on MetacatUI features and usability
12/27/2013 03:57 PM - Matt Jones

Status: Resolved Start date: 12/27/2013
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 83%
Category: Estimated time: 0.00 hour
Target version: 1.5.0 Spent time: 0.00 hour
Description

| requested feedback from a wide variety of people in the community on the new MetacatUI interface and its usability. | asked for
both 1) things that didn't work or were broken, and 2) new features that people think would be valuable. Individual task tickets will be
entered for each of the issues to resilve.

Subtasks:

Task # 6331: Address metacatui feedback from Mike Frenock Resolved
Task # 6341: Address metacatui feedback from Gastil-Buhl Resolved
Task # 6348: Address feedback from Carl Boettiger Resolved
Task # 6358: Address feedback from Corinna Gries Resolved
Task # 6359: Address feedback from Mark Servilla Resolved
Task # 6361: Address feedback from Carly Strasser Resolved
History

#1 - 12/27/2013 04:02 PM - Matt Jones
- Target version changed from 2.4.0 to 1.4.0

- Project changed from Metacat to MetacatU!

#2 - 12/30/2013 11:38 AM - Lauren Walker

- Target version changed from 1.4.0 to 1.4.1

#3 - 12/30/2013 11:38 AM - Lauren Walker

- Target version changed from 1.4.1 to 1.4.2

#4 - 12/30/2013 05:19 PM - Lauren Walker

- Status changed from New to In Progress

#5 - 01/02/2014 02:07 PM - Lauren Walker

- Target version changed from 1.4.2 to 1.4.3

#6 - 01/08/2014 02:37 PM - Lauren Walker

- Target version changed from 1.4.3 to 1.5.0

#7 - 01/31/2014 10:04 AM - Lauren Walker

- Status changed from In Progress to Resolved

It;s been about a month and no new feedback has come in, so I'll close this ticket. All feedback has been addressed and most suggestions have been
implemented. The two outstanding items, which are bigger issues, are:

- It needs to be more obvious that results are paged/not all results are on the map. (or figure out how to map all 20,000 results without it taking a
lifetime)

- Results needs to be filtered from the map via the centroid, not the entire bounding coordinates - this would be implemented best by indexing the
centroid lat,long coordinates
